# Copyright (c) 2000                    RIPE NCC
#
# All Rights Reserved
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and that
# both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of the author not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission.
#
# THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
# ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
# AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
# DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# Makefile.site
# This Makefile sets generic variables,
# and includes Makefile.site.$(HOSTNAME)
# which is the real host-specific Makefile
# where all the variables are customized.

RIP = $(shell cd ../../; pwd)
HOSTNAME = $(shell hostname)
ISSITEFILE = $(shell cd $(RIP); ls Makefile.site.$(HOSTNAME) > /dev/null 2>&1 ; echo $$?)

# Selection of the site-specific Makefile.
ifeq ($(ISSITEFILE),0)
include ../../Makefile.site.$(HOSTNAME)
else
include ../../Makefile.site.generic
endif

INC = ../../include
LIB = ../../lib

SOURCES = $(shell ls *.c)
HEADERS = $(shell ls ../../include/*.h)
DEFS    = $(shell ls ../../include/*.def)

include ../../VERSION

